Bug 115185 - New port: math/clp The Coin-or linear programming solver.
Summary: New port: math/clp The Coin-or linear programming solver.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-03 22:50 UTC by Robin Schilham
Modified: 2007-09-05 03:00 UTC (History)
0 users

See Also:


Attachments
file.shar (4.14 KB, text/plain)
2007-08-03 22:50 UTC, Robin Schilham
no flags Details
clp-shar.sh (4.14 KB, application/x-sh)
2007-08-23 21:10 UTC, Robin Schilham
no flags Details
clp-shar.txt (4.14 KB, text/plain)
2007-08-23 22:35 UTC, Robin Schilham
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Schilham 2007-08-03 22:50:06 UTC
A port of Clp (Coin-or linear programming), which is an open-source linear programming solver.

Fix: See attached shar file.

Patch attached with submission follows:
Comment 1 Cheng-Lung Sung freebsd_committer 2007-08-04 03:38:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 2 Cheng-Lung Sung freebsd_committer 2007-08-21 06:43:51 UTC
State Changed
From-To: open->feedback

Hi, the distfile seems to being re-rolled day by day,  
can you investigate it?
Comment 3 Robin Schilham 2007-08-23 22:53:12 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#    clp
#    clp/pkg-plist
#    clp/distinfo
#    clp/Makefile
#    clp/pkg-descr
#
echo c - clp
mkdir -p clp > /dev/null 2>&1
echo x - clp/pkg-plist
sed 's/^X//' >clp/pkg-plist << 'END-of-clp/pkg-plist'
Xbin/clp
Xinclude/ClpCholeskyBase.hpp
Xinclude/ClpCholeskyDense.hpp
Xinclude/ClpCholeskyWssmp.hpp
Xinclude/ClpConfig.h
Xinclude/ClpDualRowDantzig.hpp
Xinclude/ClpDualRowPivot.hpp
Xinclude/ClpDualRowSteepest.hpp
Xinclude/ClpDynamicExampleMatrix.hpp
Xinclude/ClpDynamicMatrix.hpp
Xinclude/ClpEventHandler.hpp
Xinclude/ClpFactorization.hpp
Xinclude/ClpGubDynamicMatrix.hpp
Xinclude/ClpGubMatrix.hpp
Xinclude/ClpInterior.hpp
Xinclude/ClpLinearObjective.hpp
Xinclude/ClpMatrixBase.hpp
Xinclude/ClpMessage.hpp
Xinclude/ClpModel.hpp
Xinclude/ClpNetworkMatrix.hpp
Xinclude/ClpNonLinearCost.hpp
Xinclude/ClpObjective.hpp
Xinclude/ClpPackedMatrix.hpp
Xinclude/ClpParameters.hpp
Xinclude/ClpPlusMinusOneMatrix.hpp
Xinclude/ClpPresolve.hpp
Xinclude/ClpPrimalColumnDantzig.hpp
Xinclude/ClpPrimalColumnPivot.hpp
Xinclude/ClpPrimalColumnSteepest.hpp
Xinclude/ClpQuadraticObjective.hpp
Xinclude/ClpSimplex.hpp
Xinclude/ClpSimplexNonlinear.hpp
Xinclude/ClpSimplexOther.hpp
Xinclude/ClpSimplexPrimal.hpp
Xinclude/ClpSolve.hpp
Xinclude/Clp_C_Interface.h
Xinclude/CoinBuild.hpp
Xinclude/CoinDenseVector.hpp
Xinclude/CoinDistance.hpp
Xinclude/CoinError.hpp
Xinclude/CoinFactorization.hpp
Xinclude/CoinFileIO.hpp
Xinclude/CoinFinite.hpp
Xinclude/CoinFloatEqual.hpp
Xinclude/CoinHelperFunctions.hpp
Xinclude/CoinIndexedVector.hpp
Xinclude/CoinLpIO.hpp
Xinclude/CoinMessage.hpp
Xinclude/CoinMessageHandler.hpp
Xinclude/CoinModel.hpp
Xinclude/CoinModelUseful.hpp
Xinclude/CoinMpsIO.hpp
Xinclude/CoinPackedMatrix.hpp
Xinclude/CoinPackedVector.hpp
Xinclude/CoinPackedVectorBase.hpp
Xinclude/CoinParam.hpp
Xinclude/CoinPragma.hpp
Xinclude/CoinPresolveDoubleton.hpp
Xinclude/CoinPresolveDual.hpp
Xinclude/CoinPresolveDupcol.hpp
Xinclude/CoinPresolveEmpty.hpp
Xinclude/CoinPresolveFixed.hpp
Xinclude/CoinPresolveForcing.hpp
Xinclude/CoinPresolveImpliedFree.hpp
Xinclude/CoinPresolveIsolated.hpp
Xinclude/CoinPresolveMatrix.hpp
Xinclude/CoinPresolvePsdebug.hpp
Xinclude/CoinPresolveSingleton.hpp
Xinclude/CoinPresolveSubst.hpp
Xinclude/CoinPresolveTighten.hpp
Xinclude/CoinPresolveTripleton.hpp
Xinclude/CoinPresolveUseless.hpp
Xinclude/CoinPresolveZeros.hpp
Xinclude/CoinSearchTree.hpp
Xinclude/CoinShallowPackedVector.hpp
Xinclude/CoinSignal.hpp
Xinclude/CoinSmartPtr.hpp
Xinclude/CoinSort.hpp
Xinclude/CoinTime.hpp
Xinclude/CoinTypes.hpp
Xinclude/CoinUtility.hpp
Xinclude/CoinUtilsConfig.h
Xinclude/CoinWarmStart.hpp
Xinclude/CoinWarmStartBasis.hpp
Xinclude/CoinWarmStartDual.hpp
Xinclude/Coin_C_defines.h
Xinclude/Idiot.hpp
Xinclude/config_clp.h
Xinclude/config_coinutils.h
Xlib/clp_addlibs.txt
Xlib/coinutils_addlibs.txt
END-of-clp/pkg-plist
echo x - clp/distinfo
sed 's/^X//' >clp/distinfo << 'END-of-clp/distinfo'
XMD5 (Clp-1.4.0.tgz) = e15af653c3f5db7d1943aa559d1c86af
XSHA256 (Clp-1.4.0.tgz) =
5a57b919cf76657392f16f4287271fbde72805adfe19b642c1c3fe547d8d624b
XSIZE (Clp-1.4.0.tgz) = 6884869
END-of-clp/distinfo
echo x - clp/Makefile
sed 's/^X//' >clp/Makefile << 'END-of-clp/Makefile'
X# New ports collection makefile for:   Clp
X# Date created:        22 July 2007
X# Whom:                Robin Schilham
X#
X# $FreeBSD$
X#
X
XPORTNAME=    Clp
XPORTVERSION=    1.4.0
XCATEGORIES=    math
XMASTER_SITES=    http://www.coin-or.org/download/source/Clp/
XEXTRACT_SUFX=    .tgz
X
XMAINTAINER=    ports@FreeBSD.org
XCOMMENT=    Linear Programming Solver
X
XGNU_CONFIGURE=  yes
XUSE_LDCONFIG=    yes
X
X.include <bsd.port.mk>
END-of-clp/Makefile
echo x - clp/pkg-descr
sed 's/^X//' >clp/pkg-descr << 'END-of-clp/pkg-descr'
XThis is a port of Clp (Coin-or linear programming), which is an open-source

Xlinear programming solver written in C++. It is primarily meant to be used
as
Xa callable library, but a basic, stand-alone executable version is also
Xincluded.
X
XWWW: http://www.coin-or.org/Clp/index.html
END-of-clp/pkg-descr
exit
Comment 4 dfilter service freebsd_committer 2007-09-05 02:59:41 UTC
clsung      2007-09-05 01:59:36 UTC

  FreeBSD ports repository

  Modified files:
    math                 Makefile 
  Added files:
    math/clp             Makefile distinfo pkg-descr pkg-plist 
  Log:
  This is a port of Clp (Coin-or linear programming), which is an open-source
  linear programming solver written in C++. It is primarily meant to be used as
  a callable library, but a basic, stand-alone executable version is also
  included.
  
  WWW: http://www.coin-or.org/Clp/index.html
  
  PR:             ports/115185
  Submitted by:   Robin Schilham
  
  Revision  Changes    Path
  1.465     +1 -0      ports/math/Makefile
  1.1       +20 -0     ports/math/clp/Makefile (new)
  1.1       +3 -0      ports/math/clp/distinfo (new)
  1.1       +6 -0      ports/math/clp/pkg-descr (new)
  1.1       +97 -0     ports/math/clp/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Cheng-Lung Sung freebsd_committer 2007-09-05 03:00:13 UTC
State Changed
From-To: feedback->closed

New port added. Thank You.